org.apache.ignite.internal.processors.datastructures

## Class GridCacheSetHeader

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheSetHeader

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

    public class GridCacheSetHeader
    extends Object
    implements GridCacheInternal, Externalizable

Cache set header.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheSetHeader()` Required by `Externalizable`.
`GridCacheSetHeader(IgniteUuid id, boolean collocated, boolean separated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `collocated()`
`IgniteUuid` `id()`
`void` `readExternal(ObjectInput in)`
`boolean` `separated()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheSetHeader

    public GridCacheSetHeader()

Required by `Externalizable`.

#### GridCacheSetHeader

    public GridCacheSetHeader(IgniteUuid id,
                              boolean collocated,
                              boolean separated)

Parameters:
  `id` - Set UUID.
  `collocated` - Collocation flag.
  `separated` - Separated cache flag.

### Method Detail

#### id

    public IgniteUuid id()

Returns:
  Set unique ID.

#### collocated

    public boolean collocated()

Returns:
  Collocation flag.

#### separated

    public boolean separated()

Returns:
  Separated cache flag.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018